# Google Autocomplete API

Quickly harness keyword suggestions from Google utilizing our SERP Scraping API.

To activate this tailored capability, append the `engine=google_autocomplete` parameter to your request.

The Google Autocomplete API specializes in rapidly extracting real-time keyword suggestions directly from Google. This makes it an invaluable asset, especially for ventures centered around SEO and Marketing. Engaging with this engine is a breeze - all it necessitates is the inclusion of the `q` parameter to pinpoint your target keyword.

### Google Autocomplete API Integration Examples

We will use following URL as an example for this request:

```
https://serp.shifter.io/v1?engine=google_autocomplete&api_key=<YOUR_API_KEY>&q=freecod
```

### Ready to Use Google Autocomplete Scraping Scripts:

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request GET --url "https://sserp.shifter.io/v1?engine=google_autocomplete&api_key=YOUR_API_KEY&q=freecod"
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const http = require("https");

const options = {
  "method": "GET",
  "hostname": "serp.shifter.io",
  "port": null,
  "path": "/v1?engine=google_autocomplete&api_key=YOUR_API_KEY&q=freecod",
  "headers": {}
};

const req = http.request(options, function (res) {
  const chunks = [];

  res.on("data", function (chunk) {
    chunks.push(chunk);
  });

  res.on("end", function () {
    const body = Buffer.concat(chunks);
    console.log(body.toString());
  });
});

req.end();
```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("serp.shifter.io")

conn.request("GET", "/v1?engine=google_autocomplete&api_key=YOUR_API_KEY&q=freecod")

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php


```

{% endtab %}
{% endtabs %}

### Google Autocomplete Parameters

#### #1: Query Parameter

<table><thead><tr><th width="187">Parameter</th><th width="107" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>q</code><br> <mark style="color:red;background-color:red;">Required</mark> </td><td align="center"><code>string</code></td><td>The keywords that you are searching for on Google (the query).</td></tr></tbody></table>

To access this API, your GET request should be sent to the following address:

```
https://serp.shifter.io/v1?engine=google_autocomplete&api_key=<YOUR_API_KEY>&q=<KEYWORD>
```

<details>

<summary>Response Example</summary>

```javascript
{
  "search_parameters": {
    "google_autocomplete_url": "https://www.google.com/",
    "engine": "google_autocomplete",
    "google_domain": "google.com",
    "device": "desktop",
    "query": "freecod"
  },
  "search_information": {
    "autocomplete_results_state": "Showing completion results."
  },
  "suggestions": [
    {
      "suggestion": "freecodecamp"
    },
    {
      "suggestion": "freecodecamp python"
    },
    {
      "suggestion": "freecodecamp javascript"
    },
    {
      "suggestion": "freecodecamp review"
    },
    {
      "suggestion": "freecodecamp java"
    },
    {
      "suggestion": "freecodecamp vs codecademy"
    },
    {
      "suggestion": "freecodecamp c++"
    },
    {
      "suggestion": "freecodecamp certificate"
    },
    {
      "suggestion": "freecodecamp react"
    },
    {
      "suggestion": "freecodecamp sql"
    }
  ]
}
```

</details>
